﻿<%@ Page Language="C#" %>

<%@ Register Src="FindSearch.ascx" TagName="FindSearch" TagPrefix="uc1" %>

<!DOCTYPE html>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        //register core js info including jquery
        Ektron.Cms.Framework.UI.Packages.EktronCoreJS.Register(this);
        //register autocomplete if being used (if not, you can comment the next line out and remove the find.js script tag below)
        Ektron.Cms.Framework.UI.Packages.jQuery.jQueryUI.Autocomplete.Register(this);
        //register bootstrap for sample purposes
        Ektron.Cms.Framework.UI.JavaScript.Register(this, "/ux/vendor/twitter/bootstrap-3.0.0/js/bootstrap.min.js");
        Ektron.Cms.Framework.UI.Css.Register(this, "/ux/vendor/twitter/bootstrap-3.0.0/css/bootstrap.min.css");
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head runat="server">
    <title>Find Search Example</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <!--Register find.js when using autocomplete-->
    <script src="find.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <div class="container">
            <h4>EPiServer's Find Search Integration With Ektron</h4>
            <h5>Code is commented. Please also refer to <a href="http://documentation.ektron.com/cms400/v9.10/Reference/Web/EktronReferenceWeb.html#Search/Find.htm">this documentation link</a> for configuration steps.</h5>
        </div>
        <div>
            <uc1:FindSearch ID="FindSearch1" runat="server" PageSize="10" />
        </div>
    </form>
</body>
</html>
