﻿//the url below needs to be the public url for find with the index name appended after to get a format like
//http://findindexpublicurl/findindexname
//Note: Do not include a trailing / at the end or the code will not work.
var findURLWithIndexName = '';
$(document).ready(function () {
	//Change this class name to a class on your searchtextbox.
    $(".searchtextbox").autocomplete({
        source: function (request, response) {
            $.ajax({
                url: findURLWithIndexName + '/_search',
                type: "POST",
                dataType: "jsonp",
                data: {
                    "q": request.term + "*",
                    "size": 5
                },
                success: function (data) {
                    response($.map(data.hits.hits, function (item) {
                        return {
                            label: $("<p/>").html(item._source.Title$$string).text(),
                            value: item._source.Quicklink$$string
                        };
                    }));
                }
            });
        },
        minLength: 2,
        select: function (event, ui) {
			//comment this out if you don't want to automatically be directed to the clicked on item.
            window.open(ui.item.value, '_parent');
        }
    });
})